DICEPWGEN(1)

NAME
dicepwgen - A diceware password generator

SYNOPSIS
    Usage: dice [-tcfvhd]
    Options:
    -t --humantoss            Asks interactively for rolled dices
    -c --wordcount <count>    Number of words (default: 4)
    -f --dictfile <dictfile>  Dictionary file to use (default:
                              /usr/share/dict/american-english)
    -l --minlen <count>       Minimum word len (default: 5)
    -m --maxlen <count>       Maximum word len (default: 10)
    -n --dontjump             Use all words in the dict file, e.g.
                              if it is an original diceware list
    -d --debug                Enable debug output
    -v --version              Print program version
    -h -? --help              Print this help screen

DESCRIPTION
dicepwgen generates a diceware password using a dictionary file. By default it uses pseudo random dice tosses, but it is also possible to use real dices and enter the numbers by using the option -t, which is the most secure way to generate diceware passwords.

The option -c can be used to tweak the number of words to output. The options -l and -m can be used to tweak minimum and maximum word length.

You can tell dicepwgen to use another dictionary file with the option -f.

If you're using a precomputed diceware list, use the parameter -n, in which case dicepwgen will use all entries in the file.

The program only uses words which contain 7bit ASCII letters (a-zA-Z0-9), which are easier for password usage anyway.

FILES
/usr/share/dict/american-english: default dictionary file.

You can use almost any dictionary file you want. Dicepwgen expects the file to be in the following format: one word per line.

You can also use precomputed diceware word lists by adding the option -n to the commandline. If the file already contains numbers, you have to remove them before using. Say, the file looks like this:

 11126   abase
 11131   abash
 11132   abate
 11133   abbas

Prepare the file with this shell oneliner:

 grep "^[0-9]" dicewarelist.txt | awk '{print $2}' >> newlist.txt

SEE ALSO
<http://world.std.com/~reinhold/diceware.html>

<https://xkcd.com/936/>.

BUGS
In order to report a bug, unexpected behavior, feature requests or to submit a patch, please open an issue on github: <https://github.com/TLINDEN/diceware/issues>.

Current known issues:

•   The program does not count the lines in a dictionary file before using it. If the file contains a low number of entries (e.g. because it is a precomputed diceware word list and -n has not been specified), it seems to "hang". In fact it runs very long because it jumps over a random number of entries and restarts from the beginning again and again til the required number of words has been collected (7776).

LICENSE
This software is licensed under the GNU GENERAL PUBLIC LICENSE version 3.

Copyright (c) 2015 by T. v. Dein.

AUTHORS
T.v.Dein tom AT vondein DOT org